IBM Support

X11.base.rte fileset required to install OnDemand Server on AIX

Technote (FAQ)


Question

When installing the DB2® Content Manager OnDemand Server on AIX® with the -console option, the user might encounter the following error message.

com.installshield.wizard.console.ConsoleWizardUI, err,
java.lang.UnsatisfiedLinkError: /usr/java14/jre/bin/libawt.a: load ENOENT on shared library(s) /usr/java14/jre/bin/libawt.a libXt.a

Cause

The OnDemand Server for AIX installer is based on InstallShield MultiPlatform (ISMP) 5.03. ISMP requires that certain X11 filesets are present on the system before the installer can start even if the -console option has been specified.

Answer

Install the X11.base.rte and related filesets on AIX. Use the following command to verify that the X11.base.rte fileset has been installed on AIX.

lslpp -L | grep X11.base.rte

Document information

More support for: Content Manager OnDemand for Multiplatforms
Other

Software version: 7.1.2.0, 7.1.2.1, 7.1.2.2, 7.1.2.3, 7.1.2.4, 7.1.2.5, 7.1.2.6, 7.1.2.7, 7.1.2.8, 7.1.2.9, 8.3

Operating system(s): AIX

Reference #: 1234150

Modified date: 07 December 2016